import { randomUUID } from 'crypto';
import { asyncLocalStorage } from '../logger.js';
export function requestIdHandling(app) {
    app.use(requestIdMiddleware);
}
const requestIdMiddleware = (_req, _res, next) => {
    asyncLocalStorage.run({ requestID: randomUUID() }, () => {
        next();
    });
};
//# sourceMappingURL=requestIdHandling.js.map